Permalink
Browse files

getting ready for 2.4.2 release

  • Loading branch information...
monkstone
monkstone committed Jan 10, 2014
1 parent b905955 commit 7e85923db37d2a8663b8263b1f88135fa8d43a54
Showing with 12 additions and 8 deletions.
  1. +3 −0 CHANGELOG
  2. +1 −1 LICENSE.md
  3. +3 −3 README.md
  4. +2 −1 lib/ruby-processing/runners/live.rb
  5. +1 −1 lib/ruby-processing/version.rb
  6. +2 −2 vendors/Rakefile
View
@@ -1,3 +1,6 @@
+v2.4.2 Update to JRuby-1.7.10
+* Revised suggestions for PROCESSING_ROOT on MacOSX
+
v2.4.1 First release to return to rubygems since processing 1.0.11
* Features a post-install download of jruby-complete (version 1.7.9)
* Features use of jars from an installed version of vanilla processing,
View
@@ -3,7 +3,7 @@ You can do pretty much whatever you'd like with it.
___
-Copyright (c) 2008 omygawshkenas
+Copyright (c) 2008-2014 omygawshkenas
Permission is hereby granted, free of charge,
to any person obtaining a copy of this software
View
@@ -18,13 +18,13 @@ Then install ruby-processing (from rubygems-org) in the usual way
`gem install ruby-processing` some systems eg Ubuntu may require `sudo` access
-To install jruby-complete use our built in tool (relies on `wget` to download [jruby-complete-1.7.9](http://jruby.org/download))
+To install jruby-complete use our built in tool (relies on `wget` to download [jruby-complete-1.7.10](http://jruby.org/download))
`install_jruby_complete`
-If you haven't got `wget` just download jruby-complete-1.7.9 to the vendors folder (then run above tool)
+If you haven't got `wget` just download jruby-complete-1.7.10 to the vendors folder (then run above tool)
-The vendored jruby-complete-1.7.9 is only required for application export, and running certain sketches (eg shader sketches see wiki).
+The vendored jruby-complete-1.7.10 is only required for application export, and running certain sketches (eg shader sketches see wiki).
## Documentation
@@ -2,7 +2,8 @@
# This flavor will either load up empty Ruby-Processing,
# or will start with your sketch.
-require "#{File.dirname(__FILE__)}/base.rb"
+root = File.dirname(__FILE__)
+require "#{root}/base.rb"
Processing.load_and_run_sketch
ARGV.clear # So that IRB doesn't try to load them as files.
@@ -1,3 +1,3 @@
module RubyProcessing
- VERSION="2.4.1"
+ VERSION="2.4.2"
end
View
@@ -1,6 +1,6 @@
require 'rake/clean'
-JRUBY_VERSION = "1.7.9"
+JRUBY_VERSION = "1.7.10"
CLOBBER.include("jruby-complete-#{JRUBY_VERSION}.jar")
@@ -12,7 +12,7 @@ task :download => ["jruby-complete-#{JRUBY_VERSION}.jar"]
file "jruby-complete-#{JRUBY_VERSION}.jar" do
sh "wget http://jruby.org.s3.amazonaws.com/downloads/#{JRUBY_VERSION}/jruby-complete-#{JRUBY_VERSION}.jar"
- check_sha1("jruby-complete-#{JRUBY_VERSION}.jar", "93c1906ed4d212ec7fb2fc810da206f1f2a034b4")
+ check_sha1("jruby-complete-#{JRUBY_VERSION}.jar", "f74a8b29da11e2ea430a1d1d92b72d424f7ee311")
end
directory "../lib/ruby"

0 comments on commit 7e85923

Please sign in to comment.